/*
 * Copyright (c) 2009     David Mohr <david@mcbf.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "grub-choose-default-window.h"
#include "grub-choose-default-util.h"

#ifndef DEBUG
#ifdef G_OS_WIN32
void
no_output_handler (const gchar * str)
{ 
}
#endif
#endif

/* This function exists mainly to allow a windows7 ext2ifs workaround */
void mount (void)
{
  const gchar * config_dir;
  gchar * script;

  config_dir = g_get_user_config_dir ();
  script = g_build_filename (CONFIG_DIR, "mount", NULL);

  grub_choose_default_exec (config_dir, script, TRUE, NULL);

  g_free (script);
}


/*
#ifdef G_OS_WIN32
int
WinMain (int argc, char **argv)
#else
*/
int
main (int argc, char **argv)
//#endif
{
  GrubChooseDefaultWindow * win;

  gtk_init (&argc, &argv);

#ifndef DEBUG
#ifdef G_OS_WIN32
  g_set_print_handler (no_output_handler);
#endif
#endif

  mount ();

  win = grub_choose_default_window_new ();

  gtk_widget_show (GTK_WIDGET (win));

  gtk_main ();

  return 0;
}
